# What’s New in Redpanda

> For the complete documentation index, see [llms.txt](https://docs.redpanda.com/llms.txt). Component-specific: [streaming-full.txt](https://docs.redpanda.com/streaming-full.txt)

---
title: What’s New in Redpanda
latest-redpanda-tag: v25.2.1
latest-console-tag: v3.7.3
latest-operator-version: v26.1.4
# EOL = End-of-Life (support lifecycle status)
page-is-nearing-eol: "true"
page-is-past-eol: "false"
page-eol-date: July 31, 2026
latest-connect-version: 4.93.0
docname: release-notes/redpanda
page-component-name: streaming
page-version: "25.2"
page-component-version: "25.2"
page-component-title: Streaming
page-relative-src-path: release-notes/redpanda.adoc
page-edit-url: https://github.com/redpanda-data/docs/edit/v/25.2/modules/get-started/pages/release-notes/redpanda.adoc
description: Summary of new features and updates in this Redpanda release.
page-git-created-date: "2025-04-07"
page-git-modified-date: "2026-05-26"
support-status: nearing end-of-life
---

<!-- Source: https://docs.redpanda.com/streaming/25.2/get-started/release-notes/redpanda.md -->

This topic includes new content added in version 25.2. For a complete list of all product updates, see the [Redpanda release notes](https://github.com/redpanda-data/redpanda/releases/). See also:

-   [What’s New in Redpanda Cloud](https://docs.redpanda.com/cloud-data-platform/get-started/whats-new-cloud/)

-   [Redpanda Cloud vs Self-Managed feature compatibility](https://docs.redpanda.com/cloud-data-platform/get-started/cloud-overview/#redpanda-cloud-vs-self-managed-feature-compatibility)


## [](#iceberg-topics-with-aws-glue)Iceberg topics with AWS Glue

A new [integration with AWS Glue Data Catalog](https://docs.redpanda.com/streaming/25.2/manage/iceberg/iceberg-topics-aws-glue/) allows you to add Redpanda topics as Iceberg tables in your data lakehouse. The AWS Glue catalog integration is available in Redpanda version 25.1.7 and later.

See [Integrate with REST Catalogs](https://docs.redpanda.com/streaming/25.2/manage/iceberg/rest-catalog/) for supported Iceberg REST catalog integrations.

## [](#json-schema-support-for-iceberg-topics)JSON Schema support for Iceberg topics

Redpanda now supports JSON Schema for Iceberg topics. This allows you to use all supported schema types (Protobuf, Avro, and JSON Schema) for Iceberg topics. For more information, see [Specify Iceberg Schema](https://docs.redpanda.com/streaming/25.2/manage/iceberg/specify-iceberg-schema/).

## [](#manage-sasl-users-with-kafka-apis)Manage SASL users with Kafka APIs

Redpanda now supports the following Kafka APIs for managing SASL user credentials as described in [KIP-554](https://cwiki.apache.org/confluence/display/KAFKA/KIP-554%3A+Add+Broker-side+SCRAM+Config+API):

-   DescribeUserSCRAMCredentialsRequest (requires Cluster Describe ACLs)

-   AlterUserSCRAMCredentialsRequest (requires Cluster Modify ACLs)


See also: [Configure Authentication](https://docs.redpanda.com/streaming/25.2/manage/security/authentication/#sasl) and [Configure Access Control Lists](https://docs.redpanda.com/streaming/25.2/manage/security/authorization/acl/)

## [](#schema-registry-authorization)Schema Registry Authorization

You can now use the Enterprise-licensed feature [Schema Registry Authorization](https://docs.redpanda.com/streaming/25.2/manage/schema-reg/schema-reg-authorization/) to control access to Schema Registry subjects and operations using either `rpk` or the [Redpanda Schema Registry API](https://docs.redpanda.com/api/doc/schema-registry/operation/operation-get_security_acls) endpoints. Schema Registry Authorization offers more granular control over who can do what with your Redpanda Schema Registry resources. ACLs used for Schema Registry access also support RBAC roles.

## [](#retrieve-serialized-protobuf-schemas-with-schema-registry-api)Retrieve serialized Protobuf schemas with Schema Registry API

Starting in version 25.2, the Schema Registry API supports retrieving serialized schemas (Protobuf only) using the `format=serialized` query parameter for the following endpoints:

-   `GET /schemas/ids/{id}`

-   `POST /subjects/{subject}`

-   `GET subjects/{subject}/versions/{version}`

-   `GET subjects/{subject}/versions/{version}/schema`


This helps facilitate migration of Protobuf clients to Redpanda. See the [Schema Registry API reference](https://docs.redpanda.com/api/doc/schema-registry) for details.

## [](#support-for-confluent-kafka-javascript-client)Support for confluent-kafka-javascript client

The `confluent-kafka-javascript` client is now validated with Redpanda. For a list of validated clients, see [Kafka Compatibility](https://docs.redpanda.com/streaming/25.2/develop/kafka-clients/).

## [](#http-proxy-authentication-changes)HTTP Proxy authentication changes

**Breaking change in Redpanda 25.2:** Ephemeral credentials for HTTP Proxy are removed. If your HTTP Proxy API listeners use [`authentication_method`](https://docs.redpanda.com/streaming/25.2/reference/properties/broker-properties/#http_proxy_auth_method): `none`, you must configure explicit SASL credentials ([`scram_username`](https://docs.redpanda.com/streaming/25.2/reference/properties/broker-properties/#scram_username), [`scram_password`](https://docs.redpanda.com/streaming/25.2/reference/properties/broker-properties/#scram_password), and [`sasl_mechanism`](https://docs.redpanda.com/streaming/25.2/reference/properties/broker-properties/#sasl_mechanism)) for HTTP Proxy to authenticate with the Kafka API.

> ⚠️ **WARNING**
>
> This allows any HTTP API user to access Kafka using shared credentials. Redpanda Data recommends enabling [HTTP Proxy authentication](https://docs.redpanda.com/streaming/25.2/develop/http-proxy/#authenticate-with-http-proxy) instead.

For configuration instructions, see [Configure HTTP Proxy to connect to Redpanda with SASL](https://docs.redpanda.com/streaming/25.2/manage/security/authentication/#schema-and-http-to-redpanda).

If you need to maintain the current HTTP Proxy functionality while transitioning to authenticated clients, configure the following HTTP Proxy client properties in your `redpanda.yaml` configuration:

-   [`scram_username`](https://docs.redpanda.com/streaming/25.2/reference/properties/broker-properties/#scram_username): Username for SASL/SCRAM authentication

-   [`scram_password`](https://docs.redpanda.com/streaming/25.2/reference/properties/broker-properties/#scram_password): Password for SASL/SCRAM authentication

-   [`sasl_mechanism`](https://docs.redpanda.com/streaming/25.2/reference/properties/broker-properties/#sasl_mechanism): SASL mechanism (typically `SCRAM-SHA-256` or `SCRAM-SHA-512`)


## [](#new-topic-properties)New topic properties

-   [`max.compaction.lag.ms`](https://docs.redpanda.com/streaming/25.2/reference/properties/topic-properties/#max.compaction.lag.ms)

-   [`min.compaction.lag.ms`](https://docs.redpanda.com/streaming/25.2/reference/properties/topic-properties/#min.compaction.lag.ms)


## [](#new-cluster-properties)New cluster properties

-   [`audit_failure_policy`](https://docs.redpanda.com/streaming/25.2/reference/properties/cluster-properties/#audit_failure_policy)

-   [`iceberg_rest_catalog_base_location`](https://docs.redpanda.com/streaming/25.2/reference/properties/cluster-properties/#iceberg_rest_catalog_base_location)

-   [`kafka_topics_max`](https://docs.redpanda.com/streaming/25.2/reference/properties/cluster-properties/#kafka_topics_max)

-   [`log_compaction_merge_max_ranges`](https://docs.redpanda.com/streaming/25.2/reference/properties/cluster-properties/#log_compaction_merge_max_ranges)

-   [`log_compaction_merge_max_segments_per_range`](https://docs.redpanda.com/streaming/25.2/reference/properties/cluster-properties/#log_compaction_merge_max_segments_per_range)

-   [`log_compaction_pause_use_sliding_window`](https://docs.redpanda.com/streaming/25.2/reference/properties/cluster-properties/#log_compaction_pause_use_sliding_window)

-   [`max_compaction_lag_ms`](https://docs.redpanda.com/streaming/25.2/reference/properties/cluster-properties/#max_compaction_lag_ms)

-   [`min_compaction_lag_ms`](https://docs.redpanda.com/streaming/25.2/reference/properties/cluster-properties/#min_compaction_lag_ms)

-   [`schema_registry_enable_authorization`](https://docs.redpanda.com/streaming/25.2/reference/properties/cluster-properties/#schema_registry_enable_authorization)

-   [`topic_label_aggregation_limit`](https://docs.redpanda.com/streaming/25.2/reference/properties/cluster-properties/#topic_label_aggregation_limit)